%define name dtsdec
%define version 0.0.2
%define release 1mdk
%define oname libdts
%define fname %oname-%version

Summary: DTS Coherent Acoustics decoder
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{fname}.tar.bz2
License: GPL
Group: Sound
Url: http://www.videolan.org/dtsdec.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

%package devel
Group: Development/C
Summary: Library for decoding DTS audio

%description devel 
This is a free decoder for the DTS Coherent Acoustics format.DTS is a
high quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package contains a library and the required header files to
develop with libdts.

%prep
%setup -q -n %fname

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/dtsdec
%_bindir/extract_dts
%_mandir/man1/dtsdec.1*
%_mandir/man1/extract_dts.1*

%files devel
%defattr(-,root,root)
%doc TODO
%_includedir/dts.h
%_libdir/*a
%_libdir/pkgconfig/libdts.pc
%changelog
* Tue Mar  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- the header has moved to %_includedir
- new version

* Wed Feb 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package
